Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456022 - Review Request: fotowall - Photo collection creativity tool
Summary: Review Request: fotowall - Photo collection creativity tool
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-20 21:36 UTC by Nicoleau Fabien
Modified: 2008-08-01 01:47 UTC (History)
2 users (show)

Fixed In Version: 0.21-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-01 01:47:52 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicoleau Fabien 2008-07-20 21:36:53 UTC
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/fotowall.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/fotowall-0.21-1.fc9.src.rpm
Description:
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc.. 

rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint fotowall-0.21-1.fc9.i386.rpm fotowall-debuginfo-0.21-1.fc9.i386.rpm fotowall-0.21-1.fc9.src.rpm 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$ 

rebuild under mock for fedora-9-i386 is OK
rebuild on koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=729027

Comment 1 Parag AN(पराग) 2008-07-23 06:09:54 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=733248
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c19dcc486bcbf778282b2ce17348ce12  fotowall-0.21.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper. 
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ package installed successfully.
+ Desktop file installed correctly.

 But I didn't get how to add pictures. All I see is open/save layout files.
am I missing something to look?

Comment 2 Nicoleau Fabien 2008-07-23 08:52:16 UTC
Hi. To add picture, just drag and drop it on the application.
You can see a demonstration here : http://www.youtube.com/watch?v=mmzMY0mfRnc

Comment 3 Parag AN(पराग) 2008-07-23 09:30:25 UTC
Thanks for demo.
APPROVED.

Comment 4 Nicoleau Fabien 2008-07-23 09:43:53 UTC
New Package CVS Request
=======================
Package Name: fotowall
Short Description: Photo collection creativity tool
Owners: eponyme
Branches: F-9
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-07-23 15:55:52 UTC
cvs done.

Comment 6 Fedora Update System 2008-07-23 19:28:18 UTC
fotowall-0.21-1.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-08-01 01:47:50 UTC
fotowall-0.21-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.